Uploaded image for project: 'EJBCA'
  1. EJBCA
  2. ECA-2253

Add classes from cesecore to EJBCA sources to allow downgrade from 5.0 to 4.0

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: EJBCA 4.0.4
    • Component/s: None
    • Labels:
      None

      Description

      During post-upgrade to EJBCA 5.0 we will try to change the serialized class CertificatePolicy in certificate profiles from the org.ejbca class to the new org.cesecore class.
      Making this change however means that we will not be able to downgrade from EJBCA 5.0 back to 4.0 again. If we add the org.cesecore class to the EJBCA sources in 4.0.4 we should be able to downgrade from 5.0 to 4.0.4 again if needed.

        Attachments

          Activity

            People

            Assignee:
            tomas Tomas Gustavsson
            Reporter:
            tomas Tomas Gustavsson
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: